Package org.bedework.synch.wsmessages

# Class SynchIdTokenType

java.lang.Object
org.bedework.synch.wsmessages.SynchIdTokenType

public class SynchIdTokenType extends Object
Id, url, token and opaque data for a synch operation. The opaque data is provided by the subscriber at subscribe time and passed back to the service.

Java class for SynchIdTokenType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SynchIdTokenType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="principalHref" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="subscribeUrl" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="synchToken" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="opaqueData" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `opaqueData`
  `protected String`
  `principalHref`
  `protected String`
  `subscribeUrl`
  `protected String`
  `synchToken`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SynchIdTokenType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getOpaqueData()`
  Gets the value of the opaqueData property.
  `String`
  `getPrincipalHref()`
  Gets the value of the principalHref property.
  `String`
  `getSubscribeUrl()`
  Gets the value of the subscribeUrl property.
  `String`
  `getSynchToken()`
  Gets the value of the synchToken property.
  `void`
  `setOpaqueData(String value)`
  Sets the value of the opaqueData property.
  `void`
  `setPrincipalHref(String value)`
  Sets the value of the principalHref property.
  `void`
  `setSubscribeUrl(String value)`
  Sets the value of the subscribeUrl property.
  `void`
  `setSynchToken(String value)`
  Sets the value of the synchToken property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### principalHref

    protected String principalHref

  - ### subscribeUrl

    protected String subscribeUrl

  - ### synchToken

    protected String synchToken

  - ### opaqueData

    protected String opaqueData

- ## Constructor Details

  - ### SynchIdTokenType

    public SynchIdTokenType()

- ## Method Details

  - ### getPrincipalHref

    public String getPrincipalHref()
    Gets the value of the principalHref property.
    Returns:
      possible object is `String`

  - ### setPrincipalHref

    public void setPrincipalHref(String value)
    Sets the value of the principalHref property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSubscribeUrl

    public String getSubscribeUrl()
    Gets the value of the subscribeUrl property.
    Returns:
      possible object is `String`

  - ### setSubscribeUrl

    public void setSubscribeUrl(String value)
    Sets the value of the subscribeUrl property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSynchToken

    public String getSynchToken()
    Gets the value of the synchToken property.
    Returns:
      possible object is `String`

  - ### setSynchToken

    public void setSynchToken(String value)
    Sets the value of the synchToken property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOpaqueData

    public String getOpaqueData()
    Gets the value of the opaqueData property.
    Returns:
      possible object is `String`

  - ### setOpaqueData

    public void setOpaqueData(String value)
    Sets the value of the opaqueData property.
    Parameters:
      `value` - allowed object is `String`